import { FC, useState } from "react";

export const AddTodoForm: FC<{
  onAdd: (todoName: string) => void;
  onClose: () => void;
}> = ({ onAdd, onClose }) => {
  const [todoName, setTodoName] = useState("");

  return (
    <form
      onSubmit={(e) => {
        e.preventDefault();
        onAdd(todoName);
        setTodoName("");
      }}
    >
      <div className="py-2 space-y-3">
        <div className="todo-input-form py-2 px-4 bg-gray-800 border border-gray-500 rounded-lg">
          <input
            type="text"
            placeholder="Todo name"
            className="text-sm w-full"
            autoFocus
            value={todoName}
            tabIndex={1}
            onChange={(e) => setTodoName(e.target.value)}
          />
        </div>
        <div className="space-x-2">
          <button
            type="submit"
            tabIndex={2}
            disabled={!todoName}
            className="base-button dark:bg-accent-500 disabled:bg-accent-800 active:bg-accent-400"
          >
            Add todo
          </button>
          <button
            tabIndex={3}
            type="button"
            className="base-button"
            onClick={onClose}
          >
            Cancel
          </button>
        </div>
      </div>
    </form>
  );
};
