import { StatusState, Todo } from "@src/core/entities/todo";
import { FC } from "react";

interface TodoCheckmarkProps {
  updateTodo: (todo: Todo) => void;
  todo: Todo;
}

export const TodoCheckmark: FC<TodoCheckmarkProps> = (props) => (
  <div
    onClick={() =>
      props.updateTodo({ ...props.todo, status: !props.todo.status })
    }
    className={`h-5 w-5 rounded-full border dark:border-gray-500  ${
      props.todo.status === StatusState.done
        ? "dark:bg-gray-700"
        : "hover:dark:bg-gray-600"
    }`}
  />
);
