import { Todo } from "@src/core/entities/todo";
import { FC } from "react";
import { TodoCheckmark } from "@src/components/todos/todoCheckmark";

interface TodoItemProps {
  todo: Todo;
  updateTodo: (todo: Todo) => void;
}

export const TodoItem: FC<TodoItemProps> = (props) => (
  <div className="py-3 border-b border-gray-300 dark:border-gray-600">
    <div className="flex items-center space-x-4">
      <TodoCheckmark {...props} />
      <span className="pb-1">{props.todo.title}</span>
    </div>
  </div>
);
