import { Todo } from "@src/core/entities/todo";
import { TodoItem } from "@src/components/todos/todoItem";
import { AddTodo } from "@src/components/todos/addTodo";
import { useUpdateTodoState } from "@src/presentation/hooks/socketHooks";

export const TodoList = (props: { todos: Todo[]; hideDone: boolean }) => {
  const { updateTodoState } = useUpdateTodoState();

  return (
    <>
      <ul id="inbox">
        {props.todos
          .filter((t) => t.status == false)
          .map((t, i) => (
            <li key={i}>
              <TodoItem
                todo={t}
                updateTodo={(todo) => {
                  updateTodoState(todo.id, todo.status);
                }}
              />
            </li>
          ))}
      </ul>
      <AddTodo />
    </>
  );
};
