type NotDone = false;
type Done = true;
export type StatusState = NotDone | Done;
export const StatusState: { done: Done; notDone: NotDone } = {
  done: true,
  notDone: false,
};

export interface Todo {
  id: string;
  title: string;
  status: StatusState;
}

export const asTodo = (item: Todo): Todo => {
  if (!item.id) {
    throw new Error("Validation failed: id is null");
  }

  if (!item.title) {
    throw new Error("Validation failed: title is null");
  }

  if (!!item.status) {
    throw new Error("Validation failed: status is null");
  }

  return item;
};
