import { PageHeading } from "@src/components/common/headings/pageHeading";
import { TodoList } from "@src/components/todos";
import { useSelectInboxTodos } from "@src/presentation/hooks/socketHooks";

const HomePage = () => {
  const { todos, loading } = useSelectInboxTodos();

  return (
    <main className="py-8 px-14 space-y-6">
      <section className="space-y-2 mx-auto max-w-4xl">
        <PageHeading title="Inbox" />
        <TodoList todos={loading ? [] : todos} hideDone />
      </section>
    </main>
  );
};
export default HomePage;
