import { useContext, useEffect } from "react";
import { SocketContext } from "@src/presentation/contexts/SocketContext";
import { StatusState } from "@src/core/entities/todo";

export const useSelectInboxTodos = () => {
  const socketContext = useContext(SocketContext);

  useEffect(() => {
    socketContext.getInboxTodos();
  }, []);

  return {
    loading: false,
    todos: socketContext.inboxTodos,
  };
};

export const useCreateTodo = () => {
  const socketContext = useContext(SocketContext);

  return {
    createTodo: (todoName: string) => {
      socketContext.createTodo(todoName);
    },
  };
};

export const useUpdateTodoState = () => {
  const socketContext = useContext(SocketContext);

  return {
    updateTodoState: (todoId: string, todoState: StatusState) => {
      socketContext.updateTodo(todoId, todoState);
    },
  };
};
